## voronota 1.18.1877

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(Voronota)

file(GLOB sources ${PROJECT_SOURCE_DIR}/src/*.cpp)
file(GLOB headers ${PROJECT_SOURCE_DIR}/src/*.h)

set(CMAKE_BUILD_TYPE Release)

find_package(OpenMP)
if (OPENMP_FOUND)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

add_executable(voronota ${sources} ${headers})

install(TARGETS voronota RUNTIME DESTINATION bin)
install(PROGRAMS voronota-cadscore voronota-contacts voronota-resources voronota-voromqa voronota-volumes DESTINATION bin)

=== debian/changelog ===
voronota (1.18.1877-1) unstable; urgency=low

  * Initial release (Closes: #878422).

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 13 Oct 2017 13:34:09 +0300

=== debian/control ===
Source: voronota
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
Build-Depends: debhelper (>=9), autotools-dev
Standards-Version: 4.1.0
Homepage: https://bitbucket.org/kliment/voronota
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/voronota.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/voronota.git

Package: voronota
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Voronoi diagram-based tool to find atom contacts
 The analysis of macromolecular structures often requires a comprehensive
 definition of atomic neighborhoods. Such a definition can be based on the
 Voronoi diagram of balls, where each ball represents an atom of some van
 der Waals radius. Voronota is a software tool for finding all the
 vertices of the Voronoi diagram of balls. Such vertices correspond to the
 centers of the empty tangent spheres defined by quadruples of balls.
 Voronota is especially suitable for processing three-dimensional
 structures of biological macromolecules such as proteins and RNA.
 .
 Since version 1.2 Voronota also uses the Voronoi vertices to construct
 inter-atom contact surfaces and solvent accessible surfaces. Voronota
 provides tools to query contacts, generate contacts graphics, compare
 contacts and evaluate quality of protein structural models using
 contacts.

=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# Standard for BitBucket
https://bitbucket.org/kliment/voronota/downloads .*/voronota_([\.\d]+)\.tar\.gz

## voronota 1.19.2352

=== debian/changelog ===
voronota (1.19.2352-1) unstable; urgency=medium

  * New upstream version 1.19.2352

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 31 Oct 2018 11:22:41 -0400

voronota (1.18.1877-2) unstable; urgency=medium

  * debian/control: updating VCS-* fields.
  * debian/control: priority extra -> optional.
  * debian/control: removing dependency on autotools-dev, as it is included by
    default.
  * debian/rules: removing '--with autotools_dev' as this option is default
    now.
  * Bumping compatibility version to 11.
  * Moving debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Adding autopkgtest.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 25 Jun 2018 03:08:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: voronota
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
-Build-Depends: debhelper (>=9), autotools-dev
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>=11)
+Standards-Version: 4.2.1
 Homepage: https://bitbucket.org/kliment/voronota
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/voronota.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/voronota.git
+Vcs-Git: https://salsa.debian.org/science-team/voronota.git
+Vcs-Browser: https://salsa.debian.org/science-team/voronota
 
 Package: voronota
 Architecture: any

=== debian/tests/control ===
Tests: calculate-vertices
Depends: voronota, perl

## voronota 1.21.2744

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(Voronota)

file(GLOB VORONOTA_SRC "${PROJECT_SOURCE_DIR}/src/voronota.cpp" "${PROJECT_SOURCE_DIR}/src/modes/*.cpp")

set(CMAKE_BUILD_TYPE Release)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")

add_executable(voronota ${VORONOTA_SRC})

install(TARGETS voronota RUNTIME DESTINATION bin)
install(PROGRAMS voronota-cadscore voronota-contacts voronota-resources voronota-voromqa voronota-volumes voronota-pocket voronota-membrane DESTINATION bin)

=== debian/changelog ===
voronota (1.21.2744-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:02:23 +0100

voronota (1.21.2744-1) unstable; urgency=medium

  * New upstream version 1.21.2744

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Jan 2020 08:38:07 -0500

voronota (1.20.2710-1) unstable; urgency=medium

  * New upstream version 1.20.2710
  * Wrapping and sorting.
  * debian/control: updating my e-mail address.
  * debian/copyright: updating my e-mail, copyright years, relicensing my
    changes as MIT.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Dec 2019 09:45:36 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
-Build-Depends: debhelper (>=11)
+Uploaders:
+ Andrius Merkys <merkys@debian.org>,
+Build-Depends:
+ debhelper (>=11),
 Standards-Version: 4.2.1
 Homepage: https://bitbucket.org/kliment/voronota
 Vcs-Git: https://salsa.debian.org/science-team/voronota.git
@@ -11,7 +13,9 @@
 
 Package: voronota
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Voronoi diagram-based tool to find atom contacts
  The analysis of macromolecular structures often requires a comprehensive
  definition of atomic neighborhoods. Such a definition can be based on the

## voronota 1.22.3149

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.1)
 
 project(Voronota)
 
@@ -6,9 +6,6 @@
 
 set(CMAKE_BUILD_TYPE Release)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
-set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS}")
-
 add_executable(voronota ${VORONOTA_SRC})
 
 install(TARGETS voronota RUNTIME DESTINATION bin)

=== debian/changelog ===
voronota (1.22.3149-2) unstable; urgency=medium

  * Add dependency on bsdextrautils as 'column' is used.
  * Refresh copyright years.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Override false-positive lintian error.

 -- Andrius Merkys <merkys@debian.org>  Fri, 14 Oct 2022 09:38:52 -0400

voronota (1.22.3149-1) unstable; urgency=medium

  * New upstream version 1.22.3149
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Feb 2021 02:02:12 -0500

voronota (1.21.3070-1) unstable; urgency=medium

  * New upstream version 1.21.3070
  * Excluding prebuilt files.
  * Bumping debhelper-compat (no changes).
  * Generating manpages with help2man.
  * Removing unneeded lintian override.
  * Adding 'Rules-Requires-Root: no'.

 -- Andrius Merkys <merkys@debian.org>  Tue, 08 Sep 2020 07:27:59 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,18 @@
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
- debhelper (>=11),
+ debhelper-compat (= 13),
+ help2man,
 Standards-Version: 4.2.1
 Homepage: https://bitbucket.org/kliment/voronota
 Vcs-Git: https://salsa.debian.org/science-team/voronota.git
 Vcs-Browser: https://salsa.debian.org/science-team/voronota
+Rules-Requires-Root: no
 
 Package: voronota
 Architecture: any
 Depends:
+ bsdextrautils,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Voronoi diagram-based tool to find atom contacts

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_installman:
	for BIN in ./voronota-*; \
	do \
		grep -qle --help $${BIN} && help2man $${BIN} --version-string $(DEB_VERSION_UPSTREAM) --no-discard-stderr --no-info > $${BIN}.1; \
	done
	dh_installman

=== debian/watch ===
version=4
https://bitbucket.org/kliment/voronota/downloads .*/voronota_([\.\d]+)\.tar\.gz

## voronota 1.29.4307%2Bds

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = hardening=-pie
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DEXPANSION_LT=ON

execute_before_dh_installman:
	for BIN in ./voronota-*; \
	do \
		grep -qle --help $${BIN} && help2man $${BIN} --version-string $(DEB_VERSION_UPSTREAM) --no-discard-stderr --no-info > $${BIN}.1; \
	done

## voronota 1.29.4307+ds

=== expansion_js/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(Voronota-JS)

file(GLOB_RECURSE VORONOTA_JS_SRC "${PROJECT_SOURCE_DIR}/../expansion_js/src/*.cpp")
include_directories("${PROJECT_SOURCE_DIR}/../expansion_js/src/dependencies")

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_BUILD_TYPE Release)

add_executable(voronota-js ${VORONOTA_JS_SRC})

install(TARGETS voronota-js RUNTIME DESTINATION bin)
install(PROGRAMS voronota-js-voromqa voronota-js-only-global-voromqa voronota-js-membrane-voromqa voronota-js-ifeatures-voromqa voronota-js-fast-iface-voromqa voronota-js-fast-iface-cadscore voronota-js-fast-iface-cadscore-matrix voronota-js-fast-iface-data-graph voronota-js-fast-iface-contacts voronota-js-voroif-gnn voronota-js-ligand-cadscore voronota-js-pdb-utensil-renumber-by-sequence voronota-js-pdb-utensil-detect-inter-structure-contacts voronota-js-pdb-utensil-split-to-models voronota-js-pdb-utensil-filter-atoms voronota-js-pdb-utensil-rename-chains voronota-js-pdb-utensil-print-sequence-from-structure voronota-js-pdb-utensil-download-structure DESTINATION bin)

=== debian/changelog ===
voronota (1.29.4307+ds-2) unstable; urgency=medium

  * Build Voronota-LT, install its header-only libraries.

 -- Andrius Merkys <merkys@debian.org>  Wed, 07 May 2025 03:13:29 -0400

voronota (1.29.4307+ds-1) unstable; urgency=medium

  * New upstream version 1.29.4307+ds
  * Repack to exclude embedded sources.
  * Watch GitHub tags.
  * Drop debian/man/.

 -- Andrius Merkys <merkys@debian.org>  Tue, 18 Feb 2025 06:34:53 -0500

## voronota 1.29.4370+ds

=== debian/changelog ===
voronota (1.29.4370+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Aug 2025 01:30:28 -0400

voronota (1.29.4370+ds-1~exp1) experimental; urgency=medium

  * New upstream version 1.29.4370+ds
  * Build Voronota-LT.

 -- Andrius Merkys <merkys@debian.org>  Fri, 02 May 2025 10:32:03 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
  help2man,
 Standards-Version: 4.2.1

## voronota 1.29.4415%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
 project(Voronota)
 
 file(GLOB VORONOTA_SRC "${PROJECT_SOURCE_DIR}/src/voronota.cpp" "${PROJECT_SOURCE_DIR}/src/modes/*.cpp")
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(CMAKE_BUILD_TYPE Release)
 
@@ -10,3 +13,15 @@
 
 install(TARGETS voronota RUNTIME DESTINATION bin)
 install(PROGRAMS voronota-cadscore voronota-contacts voronota-resources voronota-voromqa voronota-volumes voronota-pocket voronota-membrane DESTINATION bin)
+
+if(EXPANSION_GL)
+    add_subdirectory(expansion_gl)
+endif(EXPANSION_GL)
+
+if(EXPANSION_JS)
+    add_subdirectory(expansion_js)
+endif(EXPANSION_JS)
+
+if(EXPANSION_LT)
+    add_subdirectory(expansion_lt)
+endif(EXPANSION_LT)

## voronota 1.29.4415+ds

=== expansion_gl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(Voronota-GL)

file(GLOB_RECURSE VORONOTA_GL_SRC "${PROJECT_SOURCE_DIR}/../expansion_gl/src/*.cpp" "${PROJECT_SOURCE_DIR}/../expansion_js/src/dependencies/*.cpp")
include_directories("${PROJECT_SOURCE_DIR}/../expansion_gl/src/dependencies" "${PROJECT_SOURCE_DIR}/../expansion_js/src/dependencies")

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_BUILD_TYPE Release)

add_executable(voronota-gl ${VORONOTA_GL_SRC})

target_link_libraries(voronota-gl m GL GLEW glfw)

install(TARGETS voronota-gl RUNTIME DESTINATION bin)

=== expansion_lt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(Voronota-LT)

file(GLOB_RECURSE VORONOTA_LT_SRC "${PROJECT_SOURCE_DIR}/../expansion_lt/src/*.cpp")

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_BUILD_TYPE Release)

add_executable(voronota-lt ${VORONOTA_LT_SRC})

find_package(OpenMP)
if(OpenMP_CXX_FOUND)
    target_link_libraries(voronota-lt PUBLIC OpenMP::OpenMP_CXX)
endif()

install(TARGETS voronota-lt RUNTIME DESTINATION bin)

=== debian/changelog ===
voronota (1.29.4415+ds-1) unstable; urgency=medium

  * New upstream version 1.29.4415+ds
  * Install Python3 bindings.
  * Update homepage and source location.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Sep 2025 06:49:56 -0400

voronota (1.29.4370+ds-2) unstable; urgency=medium

  * Bump cmake_minimum_required (Closes: #1113623)

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Sep 2025 02:57:49 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,12 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ dh-sequence-python3,
  help2man,
+ libpython3-dev,
+ swig,
 Standards-Version: 4.2.1
-Homepage: https://bitbucket.org/kliment/voronota
+Homepage: https://www.voronota.com
 Vcs-Git: https://salsa.debian.org/science-team/voronota.git
 Vcs-Browser: https://salsa.debian.org/science-team/voronota
 Rules-Requires-Root: no
@@ -35,3 +38,28 @@
  provides tools to query contacts, generate contacts graphics, compare
  contacts and evaluate quality of protein structural models using
  contacts.
+
+Package: python3-voronotalt
+Architecture: any
+Section: python
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Description: Voronoi diagram-based tool to find atom contacts - Python3 bindings
+ The analysis of macromolecular structures often requires a comprehensive
+ definition of atomic neighborhoods. Such a definition can be based on the
+ Voronoi diagram of balls, where each ball represents an atom of some van
+ der Waals radius. Voronota is a software tool for finding all the
+ vertices of the Voronoi diagram of balls. Such vertices correspond to the
+ centers of the empty tangent spheres defined by quadruples of balls.
+ Voronota is especially suitable for processing three-dimensional
+ structures of biological macromolecules such as proteins and RNA.
+ .
+ Since version 1.2 Voronota also uses the Voronoi vertices to construct
+ inter-atom contact surfaces and solvent accessible surfaces. Voronota
+ provides tools to query contacts, generate contacts graphics, compare
+ contacts and evaluate quality of protein structural models using
+ contacts.
+ .
+ This package contains Python 3 bindings.

=== debian/tests/control ===
Tests: calculate-vertices
Depends:
 perl,
 voronota,

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto" \
 https://github.com/kliment-olechnovic/voronota/tags .*/v([\.\d]+)\.tar\.gz
